Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.examples
Class DESExample

    java.lang.Object
      |
      +--org.bouncycastle.crypto.examples.DESExample

public class DESExample
extends java.lang.Object

DESExample is a simple DES based encryptor/decryptor. The program is command line driven, with the input and output files specified on the command line. java org.bouncycastle.crypto.examples.DESExample infile outfile [keyfile] A new key is generated for each encryption, if key is not specified, then the example will assume encryption is required, and as output create deskey.dat in the current directory. This key is a hex encoded byte-stream that is used for the decryption. The output file is Hex encoded, 60 characters wide text file. When encrypting; . the infile is expected to be a byte stream (text or binary) . there is no keyfile specified on the input line When decrypting; . the infile is expected to be the 60 character wide base64 encoded file . the keyfile is expected to be a base64 encoded file This example shows how to use the light-weight API, DES and the filesystem for message encryption and decryption.

Constructor Summary
`DESExample()`
`DESExample(java.lang.String infile, java.lang.String outfile, java.lang.String keyfile, boolean encrypt)`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DESExample

    public DESExample()

### DESExample

    public DESExample(java.lang.String infile,
                      java.lang.String outfile,
                      java.lang.String keyfile,
                      boolean encrypt)

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD